Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.common.util
Class Exceptions

    java.lang.Object
      org.jboss.portal.common.util.Exceptions

    public class Exceptions

extends java.lang.Object

Version:
  $Revision: 7395 $
Author:
  Julien Viet

Constructor Summary
`Exceptions()`

Method Summary
`static void` | `appendHTMLTo(java.lang.StringBuffer buffer, java.lang.Throwable throwable)`
`static void` | `appendHTMLTo(java.lang.StringBuffer buffer, java.lang.Throwable throwable, boolean deep)`
`static java.lang.String` | `toHTML(java.lang.Throwable throwable)`
`static java.lang.String` | `toHTML(java.lang.Throwable throwable, boolean deep)`
`static java.lang.Throwable` | `unwrap(java.lang.Throwable throwable)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Exceptions

    public Exceptions()

Method Detail

### unwrap

    public static java.lang.Throwable unwrap(java.lang.Throwable throwable)
                                      throws java.lang.IllegalArgumentException

  Throws:
    `java.lang.IllegalArgumentException`

### toHTML

    public static java.lang.String toHTML(java.lang.Throwable throwable)

### toHTML

    public static java.lang.String toHTML(java.lang.Throwable throwable,
                                          boolean deep)

### appendHTMLTo

    public static void appendHTMLTo(java.lang.StringBuffer buffer,
                                    java.lang.Throwable throwable)

### appendHTMLTo

    public static void appendHTMLTo(java.lang.StringBuffer buffer,
                                    java.lang.Throwable throwable,
                                    boolean deep)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.